Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.loader
Class JposServiceLoader

    java.lang.Object
      |
      +--jpos.loader.JposServiceLoader

public final class JposServiceLoader
extends java.lang.Object

The JavaPOS JposServiceLoader class. It creates an instance of the installed JposServiceFactory or default to the SimpleServiceFactory and is used by the controls to create JposServiceConnection object that are used to bind the controls to the actual loaded services. Modification history

Since:
  0.1 (Philly 99 meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Constructor Summary
`JposServiceLoader()`

Method Summary
`(package private) static void` | `()` Static initializer.
`static JposServiceConnection` | `findService(java.lang.String logicalName)`
`static JposServiceManager` | `getManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JposServiceLoader

    public JposServiceLoader()

Method Detail

###

    static void ()

  Static initializer. Creates the manager by getting the property JPOS_SERVICE_MANAGER_CLASS_PROP_NAME If this property is not defined then defaults to the SimpleServiceManager NOTE: since the JposServiceManager interface was moved to the jpos.loader package then we define 2 property to specify the custome serviceManager one with the previous jpos.config prefix and the other with the correct jpos.loader prefix
  Since:
    0.1 (Philly 99 meeting)
  See Also:
    `JposPropertiesConst.JPOS_SERVICE_MANAGER_CLASS_PROP_NAME`, `JposPropertiesConst.JPOS_SERVICE_MANAGER_CLASS_PROP_NAME2`, `SimpleServiceManager`

### findService

    public static JposServiceConnection findService(java.lang.String logicalName)
                                             throws jpos.JposException

  Parameters:
    `logicalName` - the logical name of the service to find
  Returns:
    a service connection for the logicalName specified
  Throws:
    `jpos.JposException` - if any error occurs
  Since:
    0.1 (Philly 99 meeting)

### getManager

    public static JposServiceManager getManager()

  Returns:
    the JposServiceManager associated with the running of the JposServiceLoader
  Since:
    0.1 (Philly 99 meeting)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details